AttributeMap.SerializablePoint2D (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.AttributeMap.SerializablePoint2D class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class AttributeMap.SerializablePoint2D

    java.lang.Object
      java.awt.geom.Point2D
          java.awt.geom.Point2D.Double
              org.jgraph.graph.AttributeMap.SerializablePoint2D

All Implemented Interfaces:
  Cloneable, Serializable

Enclosing class:
  AttributeMap

public static class AttributeMap.SerializablePoint2D
extends Point2D.Double
implements Serializable

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.geom.Point2D
`Point2D.Double, Point2D.Float`

Field Summary

Fields inherited from class java.awt.geom.Point2D.Double
`x, y`

Constructor Summary
`AttributeMap.SerializablePoint2D()`
`AttributeMap.SerializablePoint2D(double x, double y)`

Method Summary
`void` | `setX(double x)`
`void` | `setY(double y)`

Methods inherited from class java.awt.geom.Point2D.Double
`getX, getY, setLocation, toString`

Methods inherited from class java.awt.geom.Point2D
`clone, distance, distance, distance, distanceSq, distanceSq, distanceSq, equals, hashCode, setLocation`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeMap.SerializablePoint2D

    public AttributeMap.SerializablePoint2D()

### AttributeMap.SerializablePoint2D

    public AttributeMap.SerializablePoint2D(double x,
                                            double y)

Method Detail

### setX

    public void setX(double x)

### setY

    public void setY(double y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.